QuickFIX: FIX::LIBXML_DOMNode Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::LIBXML_DOMNode Class Reference

XML node as represented by libxml. More...

`#include <LIBXML_DOMDocument.h>`

Inheritance diagram for FIX::LIBXML_DOMNode:
[legend]
Collaboration diagram for FIX::LIBXML_DOMNode:
[legend]

List of all members.

## Public Member Functions
| LIBXML_DOMNode (xmlNodePtr pNode)
| ~LIBXML_DOMNode ()
DOMNodePtr | getFirstChildNode ()
DOMNodePtr | getNextSiblingNode ()
DOMAttributesPtr | getAttributes ()
std::string | getName ()
std::string | getText ()
## Private Attributes
xmlNodePtr | m_pNode

## Detailed Description

XML node as represented by libxml.

Definition at line 52 of file LIBXML_DOMDocument.h.

## Constructor & Destructor Documentation

FIX::LIBXML_DOMNode::LIBXML_DOMNode | ( | xmlNodePtr | pNode | ) | `[inline]`

Definition at line 55 of file LIBXML_DOMDocument.h.

Referenced by getFirstChildNode(), and getNextSiblingNode().

    00056     : m_pNode(pNode) {}

FIX::LIBXML_DOMNode::~LIBXML_DOMNode | ( |  | ) | `[inline]`

Definition at line 57 of file LIBXML_DOMDocument.h.

    00057 {}

## Member Function Documentation

DOMAttributesPtr FIX::LIBXML_DOMNode::getAttributes | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

Definition at line 89 of file LIBXML_DOMDocument.cpp.

References m_pNode, QF_STACK_POP, and QF_STACK_PUSH.

    00090   { QF_STACK_PUSH(LIBXML_DOMAttributes::getAttributes)
    00091     return DOMAttributesPtr(new LIBXML_DOMAttributes(m_pNode));
    00092     QF_STACK_POP
    00093   }

DOMNodePtr FIX::LIBXML_DOMNode::getFirstChildNode | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

Definition at line 67 of file LIBXML_DOMDocument.cpp.

References LIBXML_DOMNode(), m_pNode, QF_STACK_POP, and QF_STACK_PUSH.

    00068   { QF_STACK_PUSH(LIBXML_DOMNode::getFirstChildNode)
    00069
    00070     if( !m_pNode->children ) return DOMNodePtr();
    00071     xmlNodePtr pNode = m_pNode->children;
    00072     if( pNode == NULL ) return DOMNodePtr();
    00073     return DOMNodePtr(new LIBXML_DOMNode(pNode));
    00074
    00075     QF_STACK_POP
    00076   }

std::string FIX::LIBXML_DOMNode::getName | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

Definition at line 95 of file LIBXML_DOMDocument.cpp.

References m_pNode, QF_STACK_POP, and QF_STACK_PUSH.

    00096   { QF_STACK_PUSH(LIBXML_DOMAttributes::getName)
    00097     return m_pNode->name ? (char*)m_pNode->name : "";
    00098     QF_STACK_POP
    00099   }

DOMNodePtr FIX::LIBXML_DOMNode::getNextSiblingNode | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

Definition at line 78 of file LIBXML_DOMDocument.cpp.

References LIBXML_DOMNode(), m_pNode, QF_STACK_POP, and QF_STACK_PUSH.

    00079   { QF_STACK_PUSH(LIBXML_DOMAttributes::getNextSiblingNode)
    00080
    00081     if( !m_pNode->next ) return DOMNodePtr();
    00082     xmlNodePtr pNode = m_pNode->next;
    00083     if( pNode == NULL ) return DOMNodePtr();
    00084     return DOMNodePtr(new LIBXML_DOMNode(pNode));
    00085
    00086     QF_STACK_POP
    00087   }

std::string FIX::LIBXML_DOMNode::getText | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

Definition at line 101 of file LIBXML_DOMDocument.cpp.

References m_pNode, QF_STACK_POP, and QF_STACK_PUSH.

    00102   { QF_STACK_PUSH(LIBXML_DOMAttributes::getText)
    00103     return m_pNode->content ? (char*)m_pNode->content : "";
    00104     QF_STACK_POP
    00105   }

## Member Data Documentation

xmlNodePtr FIX::LIBXML_DOMNode::m_pNode`[private]`

Definition at line 66 of file LIBXML_DOMDocument.h.

Referenced by getAttributes(), getFirstChildNode(), getName(), getNextSiblingNode(), and getText().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/LIBXML_DOMDocument.h
- /home/omiller/Development/autobuild/quickfix/src/C++/LIBXML_DOMDocument.cpp